class MemoryContext:
  def __init__(self):
    self.hiddenItems = []
    self.mismatchedItems = []
    self.playfieldItems = {}
    self.playfieldSize = 0
    self.recentField = None
    self.selectedId = None
    self.selectedItems = []
    self.victory = False

  def __repr__(self):
    return self.__str__()

  def __str__(self):
    return f"MemoryContext(plyfieldI/playfieldS/recentF/selectedId/selectedI: '{self.playfieldItems}'/'{self.playfieldSize}'/'{self.recentField}'/'{self.selectedId}'/'{self.selectedItems}')"

def memory_createEmptyContext():
  return MemoryContext()
